From: "Andrew Ammerlaan" <andrewammerlaan@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-video/droidcam/
Date: Thu, 8 Jun 2023 09:19:58 +0000 (UTC) [thread overview]
Message-ID: <1686215985.e488e8f9b566776a08b6fa9e00ef1dbb3e77ec61.andrewammerlaan@gentoo> (raw)
commit: e488e8f9b566776a08b6fa9e00ef1dbb3e77ec61
Author: Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 8 09:19:20 2023 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Thu Jun 8 09:19:45 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e488e8f9
media-video/droidcam: linux-mod -> linux-mod-r1 eclass
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>
media-video/droidcam/droidcam-2.0.0-r2.ebuild | 143 ++++++++++++++++++++++++++
1 file changed, 143 insertions(+)
diff --git a/media-video/droidcam/droidcam-2.0.0-r2.ebuild b/media-video/droidcam/droidcam-2.0.0-r2.ebuild
new file mode 100644
index 000000000000..a3e84e4e5a70
--- /dev/null
+++ b/media-video/droidcam/droidcam-2.0.0-r2.ebuild
@@ -0,0 +1,143 @@
+# Copyright 2019-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit desktop linux-mod-r1 xdg
+
+DESCRIPTION="Use your phone or tablet as webcam with a v4l device driver and app"
+HOMEPAGE="https://www.dev47apps.com/droidcam/linux/"
+SRC_URI="https://github.com/dev47apps/${PN}/archive/v${PV//_rc1/-RC}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${PN}-${PV//_rc1/-RC}"
+
+KEYWORDS="~amd64"
+LICENSE="GPL-2"
+SLOT="0"
+
+IUSE="gtk"
+
+# Requires connection to phone/tablet
+RESTRICT="test"
+
+DEPEND="
+ app-pda/libplist
+ app-pda/libusbmuxd
+ dev-libs/glib
+ dev-libs/libayatana-appindicator
+ dev-libs/libxml2
+ dev-util/android-tools
+ media-libs/alsa-lib
+ media-libs/libjpeg-turbo
+ >=media-libs/speex-1.2.0-r1
+ media-video/ffmpeg
+ gtk? (
+ x11-libs/gdk-pixbuf
+ x11-libs/gtk+:3
+ x11-libs/libX11
+ x11-libs/pango
+ )
+"
+RDEPEND="${DEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+CONFIG_CHECK="~SND_ALOOP VIDEO_DEV MEDIA_SUPPORT MEDIA_CAMERA_SUPPORT"
+ERROR_SND_ALOOP="CONFIG_SND_ALOOP is optionally required for audio support"
+
+PATCHES=(
+ "${FILESDIR}/${P}-libusbmuxd-20.patch"
+)
+
+src_prepare() {
+ if ! use gtk; then
+ default
+ sed -i -e '/cflags gtk+/d' Makefile || die
+ else
+ default
+ # remove path and extension from Icon and Exec entry
+ sed -i -e 's/Icon=\/opt\/droidcam-icon.png/Icon=droidcam/g' \
+ -e 's/\/usr\/local\/bin\/droidcam/droidcam/g' \
+ droidcam.desktop || die
+ sed -i -e 's%/opt/droidcam-icon.png%/usr/share/icons/hicolor/96x96/apps/droidcam.png%g' src/droidcam.c || die
+ fi
+}
+
+src_configure() {
+ set_arch_to_kernel
+ default
+}
+
+src_compile() {
+ if use gtk; then
+ APPINDICATOR=ayatana-appindicator3-0.1 emake droidcam
+ fi
+ APPINDICATOR=ayatana-appindicator3-0.1 emake droidcam-cli
+
+ local modlist=(
+ v4l2loopback-dc=video:v4l2loopback:v4l2loopback:all
+ )
+ linux-mod-r1_src_compile
+}
+
+src_test() {
+ pushd "v4l2loopback" || die
+ default
+ ./test || die
+ popd || die
+}
+
+src_install() {
+ if use gtk; then
+ dobin droidcam
+ newicon -s 32 icon.png droidcam.png
+ newicon -s 96 icon2.png droidcam.png
+ domenu droidcam.desktop
+ fi
+ dobin droidcam-cli
+
+ # The cli and gui do not auto load the module if unloaded,
+ # so we just put it in modules-load.d to make sure it always works
+ insinto /etc/modules-load.d
+ if linux_config_exists; then
+ if linux_chkconfig_module SND_ALOOP; then
+ newins - "${PN}.conf" <<-EOF
+ v4l2loopback-dc
+ snd_aloop
+ EOF
+ else
+ newins - "${PN}.conf" <<-EOF
+ v4l2loopback-dc
+ EOF
+ fi
+ fi
+
+ linux-mod-r1_src_install
+}
+
+pkg_preinst() {
+ if use gtk; then
+ xdg_pkg_preinst
+ fi
+}
+
+pkg_postinst() {
+ linux-mod-r1_pkg_postinst
+ if use gtk; then
+ xdg_pkg_postinst
+ else
+ elog
+ elog "Only droidcam-cli has been installed since 'gtk' flag was not set"
+ elog
+ fi
+
+ elog "The default resolution for v4l2loopback-dc (i.e. droidcam) is 640x480."
+ elog "You can change this value in /etc/modprobe.d/v4l2loopback-dc.conf"
+ elog
+ elog "Links to the Android/iPhone/iPad apps can be found at"
+ elog "https://www.dev47apps.com/"
+}
+
+pkg_postrm() {
+ if use gtk; then
+ xdg_pkg_postrm
+ fi
+}
next reply other threads:[~2023-06-08 9:20 UTC|newest]
Thread overview: 23+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-06-08 9:19 Andrew Ammerlaan [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-03-27 10:42 [gentoo-commits] repo/gentoo:master commit in: media-video/droidcam/ Andrew Ammerlaan
2023-12-20 19:24 Andrew Ammerlaan
2023-12-05 8:18 Andrew Ammerlaan
2023-12-05 8:18 Andrew Ammerlaan
2023-12-01 21:52 Andrew Ammerlaan
2023-12-01 21:52 Andrew Ammerlaan
2023-06-21 16:36 Andrew Ammerlaan
2023-06-08 10:52 Andrew Ammerlaan
2023-06-08 9:19 Andrew Ammerlaan
2023-04-16 7:09 Andrew Ammerlaan
2023-04-05 19:23 Andrew Ammerlaan
2023-03-08 13:11 Andrew Ammerlaan
2022-05-31 11:53 Andrew Ammerlaan
2022-05-31 11:53 Andrew Ammerlaan
2022-02-15 8:06 Andrew Ammerlaan
2021-12-27 20:15 Andrew Ammerlaan
2021-12-22 20:07 Andrew Ammerlaan
2021-12-07 17:07 Andrew Ammerlaan
2021-12-07 10:03 Andrew Ammerlaan
2021-12-07 10:03 Andrew Ammerlaan
2021-10-06 13:11 Andrew Ammerlaan
2021-07-30 8:14 Andrew Ammerlaan
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1686215985.e488e8f9b566776a08b6fa9e00ef1dbb3e77ec61.andrewammerlaan@gentoo \
--to=andrewammerlaan@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox